Package org.spongepowered.asm.mixin.gen

## Class AccessorGeneratorFieldSetter

- java.lang.Object
- - org.spongepowered.asm.mixin.gen.AccessorGenerator
  - - org.spongepowered.asm.mixin.gen.AccessorGeneratorField
    - - org.spongepowered.asm.mixin.gen.AccessorGeneratorFieldSetter

-     public class AccessorGeneratorFieldSetter
      extends AccessorGeneratorField

  Generator for field setters

- - ### Field Summary

    - ### Fields inherited from class org.spongepowered.asm.mixin.gen.AccessorGeneratorField

      `targetField, targetType`

    - ### Fields inherited from class org.spongepowered.asm.mixin.gen.AccessorGenerator

      `info, targetIsInterface, targetIsStatic`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AccessorGeneratorFieldSetter​(AccessorInfo info)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.objectweb.asm.tree.MethodNode` | `generate()` | Generate the accessor method
    `void` | `validate()` | Perform pre-flight checks on the accessor, to ensure it can be generated sanely

    - ### Methods inherited from class org.spongepowered.asm.mixin.gen.AccessorGenerator

      `checkModifiers, createMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessorGeneratorFieldSetter

          public AccessorGeneratorFieldSetter​(AccessorInfo info)

  - ### Method Detail

    - #### validate

          public void validate()

      Description copied from class: `AccessorGenerator`
      Perform pre-flight checks on the accessor, to ensure it can be generated sanely
      Overrides:
        `validate` in class `AccessorGenerator`

    - #### generate

          public org.objectweb.asm.tree.MethodNode generate()

      Description copied from class: `AccessorGenerator`
      Generate the accessor method
      Specified by:
        `generate` in class `AccessorGenerator`
      Returns:
        generated accessor method